/oauth2/token

Once a user has authorized the client application and they are redirected, the client application can use the token endpoint to get an access token. Access tokens are then used to access protected resources.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve an authorization token for the specified authorization code

POST /api/v2/oauth2/token HTTP/1.1
Host: www.formstack.com

client_id=1234&redirect_uri=http%3A%2F%2Fwww.example.com&client_secret=abcdefg&code=123456&grant_type=authorization_code
curl -X POST -i -d "client_id=1234&redirect_uri=http%3A%2F%2Fwww.example.com&client_secret=abcdefg&code=123456&grant_type=authorization_code" https://www.formstack.com/api/v2/oauth2/token

To request an OAuth2 token to use with the Formstack API explorer, visit here.

Body Params
string
required
Defaults to authorization_code

The authorization type

int32
required

The application's client id

string
required

The uri the user will be redirected to after authorization. Must begin with or match the URI used in the /authorize request

string
required

The application's client secret

string
required

The authorization code returned by the authorize endpoint during the redirect

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json